
/// This is an util class which provides a wrapper for all available blocks in Minecraft.
/// ```dart
/// Block([minecraft_block_id]) // as string or
/// Block.[minecraft_block_id]
/// ```
class Block {
  final String _block;
  @override
  String toString() {
    return _block;
  }
  /// **Usage:**
  /// ```dart
  /// Block([minecraft_block_id]) // as string or
  /// Block.[minecraft_block_id]
  /// ```
  const Block(this._block);

static const Block air = const Block('minecraft:air');
static const Block stone = const Block('minecraft:stone');
static const Block granite = const Block('minecraft:granite');
static const Block polished_granite = const Block('minecraft:polished_granite');
static const Block diorite = const Block('minecraft:diorite');
static const Block polished_diorite = const Block('minecraft:polished_diorite');
static const Block andesite = const Block('minecraft:andesite');
static const Block polished_andesite = const Block('minecraft:polished_andesite');
static const Block grass_block = const Block('minecraft:grass_block');
static const Block dirt = const Block('minecraft:dirt');
static const Block coarse_dirt = const Block('minecraft:coarse_dirt');
static const Block podzol = const Block('minecraft:podzol');
static const Block cobblestone = const Block('minecraft:cobblestone');
static const Block oak_planks = const Block('minecraft:oak_planks');
static const Block spruce_planks = const Block('minecraft:spruce_planks');
static const Block birch_planks = const Block('minecraft:birch_planks');
static const Block jungle_planks = const Block('minecraft:jungle_planks');
static const Block acacia_planks = const Block('minecraft:acacia_planks');
static const Block dark_oak_planks = const Block('minecraft:dark_oak_planks');
static const Block oak_sapling = const Block('minecraft:oak_sapling');
static const Block spruce_sapling = const Block('minecraft:spruce_sapling');
static const Block birch_sapling = const Block('minecraft:birch_sapling');
static const Block jungle_sapling = const Block('minecraft:jungle_sapling');
static const Block acacia_sapling = const Block('minecraft:acacia_sapling');
static const Block dark_oak_sapling = const Block('minecraft:dark_oak_sapling');
static const Block bedrock = const Block('minecraft:bedrock');
static const Block water = const Block('minecraft:water');
static const Block lava = const Block('minecraft:lava');
static const Block sand = const Block('minecraft:sand');
static const Block red_sand = const Block('minecraft:red_sand');
static const Block gravel = const Block('minecraft:gravel');
static const Block gold_ore = const Block('minecraft:gold_ore');
static const Block iron_ore = const Block('minecraft:iron_ore');
static const Block coal_ore = const Block('minecraft:coal_ore');
static const Block oak_log = const Block('minecraft:oak_log');
static const Block spruce_log = const Block('minecraft:spruce_log');
static const Block birch_log = const Block('minecraft:birch_log');
static const Block jungle_log = const Block('minecraft:jungle_log');
static const Block acacia_log = const Block('minecraft:acacia_log');
static const Block dark_oak_log = const Block('minecraft:dark_oak_log');
static const Block stripped_spruce_log = const Block('minecraft:stripped_spruce_log');
static const Block stripped_birch_log = const Block('minecraft:stripped_birch_log');
static const Block stripped_jungle_log = const Block('minecraft:stripped_jungle_log');
static const Block stripped_acacia_log = const Block('minecraft:stripped_acacia_log');
static const Block stripped_dark_oak_log = const Block('minecraft:stripped_dark_oak_log');
static const Block stripped_oak_log = const Block('minecraft:stripped_oak_log');
static const Block oak_wood = const Block('minecraft:oak_wood');
static const Block spruce_wood = const Block('minecraft:spruce_wood');
static const Block birch_wood = const Block('minecraft:birch_wood');
static const Block jungle_wood = const Block('minecraft:jungle_wood');
static const Block acacia_wood = const Block('minecraft:acacia_wood');
static const Block dark_oak_wood = const Block('minecraft:dark_oak_wood');
static const Block stripped_oak_wood = const Block('minecraft:stripped_oak_wood');
static const Block stripped_spruce_wood = const Block('minecraft:stripped_spruce_wood');
static const Block stripped_birch_wood = const Block('minecraft:stripped_birch_wood');
static const Block stripped_jungle_wood = const Block('minecraft:stripped_jungle_wood');
static const Block stripped_acacia_wood = const Block('minecraft:stripped_acacia_wood');
static const Block stripped_dark_oak_wood = const Block('minecraft:stripped_dark_oak_wood');
static const Block oak_leaves = const Block('minecraft:oak_leaves');
static const Block spruce_leaves = const Block('minecraft:spruce_leaves');
static const Block birch_leaves = const Block('minecraft:birch_leaves');
static const Block jungle_leaves = const Block('minecraft:jungle_leaves');
static const Block acacia_leaves = const Block('minecraft:acacia_leaves');
static const Block dark_oak_leaves = const Block('minecraft:dark_oak_leaves');
static const Block sponge = const Block('minecraft:sponge');
static const Block wet_sponge = const Block('minecraft:wet_sponge');
static const Block glass = const Block('minecraft:glass');
static const Block lapis_ore = const Block('minecraft:lapis_ore');
static const Block lapis_block = const Block('minecraft:lapis_block');
static const Block dispenser = const Block('minecraft:dispenser');
static const Block sandstone = const Block('minecraft:sandstone');
static const Block chiseled_sandstone = const Block('minecraft:chiseled_sandstone');
static const Block cut_sandstone = const Block('minecraft:cut_sandstone');
static const Block note_block = const Block('minecraft:note_block');
static const Block white_bed = const Block('minecraft:white_bed');
static const Block orange_bed = const Block('minecraft:orange_bed');
static const Block magenta_bed = const Block('minecraft:magenta_bed');
static const Block light_blue_bed = const Block('minecraft:light_blue_bed');
static const Block yellow_bed = const Block('minecraft:yellow_bed');
static const Block lime_bed = const Block('minecraft:lime_bed');
static const Block pink_bed = const Block('minecraft:pink_bed');
static const Block gray_bed = const Block('minecraft:gray_bed');
static const Block light_gray_bed = const Block('minecraft:light_gray_bed');
static const Block cyan_bed = const Block('minecraft:cyan_bed');
static const Block purple_bed = const Block('minecraft:purple_bed');
static const Block blue_bed = const Block('minecraft:blue_bed');
static const Block brown_bed = const Block('minecraft:brown_bed');
static const Block green_bed = const Block('minecraft:green_bed');
static const Block red_bed = const Block('minecraft:red_bed');
static const Block black_bed = const Block('minecraft:black_bed');
static const Block powered_rail = const Block('minecraft:powered_rail');
static const Block detector_rail = const Block('minecraft:detector_rail');
static const Block sticky_piston = const Block('minecraft:sticky_piston');
static const Block cobweb = const Block('minecraft:cobweb');
static const Block grass = const Block('minecraft:grass');
static const Block fern = const Block('minecraft:fern');
static const Block dead_bush = const Block('minecraft:dead_bush');
static const Block seagrass = const Block('minecraft:seagrass');
static const Block tall_seagrass = const Block('minecraft:tall_seagrass');
static const Block piston = const Block('minecraft:piston');
static const Block piston_head = const Block('minecraft:piston_head');
static const Block white_wool = const Block('minecraft:white_wool');
static const Block orange_wool = const Block('minecraft:orange_wool');
static const Block magenta_wool = const Block('minecraft:magenta_wool');
static const Block light_blue_wool = const Block('minecraft:light_blue_wool');
static const Block yellow_wool = const Block('minecraft:yellow_wool');
static const Block lime_wool = const Block('minecraft:lime_wool');
static const Block pink_wool = const Block('minecraft:pink_wool');
static const Block gray_wool = const Block('minecraft:gray_wool');
static const Block light_gray_wool = const Block('minecraft:light_gray_wool');
static const Block cyan_wool = const Block('minecraft:cyan_wool');
static const Block purple_wool = const Block('minecraft:purple_wool');
static const Block blue_wool = const Block('minecraft:blue_wool');
static const Block brown_wool = const Block('minecraft:brown_wool');
static const Block green_wool = const Block('minecraft:green_wool');
static const Block red_wool = const Block('minecraft:red_wool');
static const Block black_wool = const Block('minecraft:black_wool');
static const Block moving_piston = const Block('minecraft:moving_piston');
static const Block dandelion = const Block('minecraft:dandelion');
static const Block poppy = const Block('minecraft:poppy');
static const Block blue_orchid = const Block('minecraft:blue_orchid');
static const Block allium = const Block('minecraft:allium');
static const Block azure_bluet = const Block('minecraft:azure_bluet');
static const Block red_tulip = const Block('minecraft:red_tulip');
static const Block orange_tulip = const Block('minecraft:orange_tulip');
static const Block white_tulip = const Block('minecraft:white_tulip');
static const Block pink_tulip = const Block('minecraft:pink_tulip');
static const Block oxeye_daisy = const Block('minecraft:oxeye_daisy');
static const Block cornflower = const Block('minecraft:cornflower');
static const Block wither_rose = const Block('minecraft:wither_rose');
static const Block lily_of_the_valley = const Block('minecraft:lily_of_the_valley');
static const Block brown_mushroom = const Block('minecraft:brown_mushroom');
static const Block red_mushroom = const Block('minecraft:red_mushroom');
static const Block gold_block = const Block('minecraft:gold_block');
static const Block iron_block = const Block('minecraft:iron_block');
static const Block bricks = const Block('minecraft:bricks');
static const Block tnt = const Block('minecraft:tnt');
static const Block bookshelf = const Block('minecraft:bookshelf');
static const Block mossy_cobblestone = const Block('minecraft:mossy_cobblestone');
static const Block obsidian = const Block('minecraft:obsidian');
static const Block torch = const Block('minecraft:torch');
static const Block wall_torch = const Block('minecraft:wall_torch');
static const Block fire = const Block('minecraft:fire');
static const Block spawner = const Block('minecraft:spawner');
static const Block oak_stairs = const Block('minecraft:oak_stairs');
static const Block chest = const Block('minecraft:chest');
static const Block redstone_wire = const Block('minecraft:redstone_wire');
static const Block diamond_ore = const Block('minecraft:diamond_ore');
static const Block diamond_block = const Block('minecraft:diamond_block');
static const Block crafting_table = const Block('minecraft:crafting_table');
static const Block wheat = const Block('minecraft:wheat');
static const Block farmland = const Block('minecraft:farmland');
static const Block furnace = const Block('minecraft:furnace');
static const Block oak_sign = const Block('minecraft:oak_sign');
static const Block spruce_sign = const Block('minecraft:spruce_sign');
static const Block birch_sign = const Block('minecraft:birch_sign');
static const Block acacia_sign = const Block('minecraft:acacia_sign');
static const Block jungle_sign = const Block('minecraft:jungle_sign');
static const Block dark_oak_sign = const Block('minecraft:dark_oak_sign');
static const Block oak_door = const Block('minecraft:oak_door');
static const Block ladder = const Block('minecraft:ladder');
static const Block rail = const Block('minecraft:rail');
static const Block cobblestone_stairs = const Block('minecraft:cobblestone_stairs');
static const Block oak_wall_sign = const Block('minecraft:oak_wall_sign');
static const Block spruce_wall_sign = const Block('minecraft:spruce_wall_sign');
static const Block birch_wall_sign = const Block('minecraft:birch_wall_sign');
static const Block acacia_wall_sign = const Block('minecraft:acacia_wall_sign');
static const Block jungle_wall_sign = const Block('minecraft:jungle_wall_sign');
static const Block dark_oak_wall_sign = const Block('minecraft:dark_oak_wall_sign');
static const Block lever = const Block('minecraft:lever');
static const Block stone_pressure_plate = const Block('minecraft:stone_pressure_plate');
static const Block iron_door = const Block('minecraft:iron_door');
static const Block oak_pressure_plate = const Block('minecraft:oak_pressure_plate');
static const Block spruce_pressure_plate = const Block('minecraft:spruce_pressure_plate');
static const Block birch_pressure_plate = const Block('minecraft:birch_pressure_plate');
static const Block jungle_pressure_plate = const Block('minecraft:jungle_pressure_plate');
static const Block acacia_pressure_plate = const Block('minecraft:acacia_pressure_plate');
static const Block dark_oak_pressure_plate = const Block('minecraft:dark_oak_pressure_plate');
static const Block redstone_ore = const Block('minecraft:redstone_ore');
static const Block redstone_torch = const Block('minecraft:redstone_torch');
static const Block redstone_wall_torch = const Block('minecraft:redstone_wall_torch');
static const Block stone_button = const Block('minecraft:stone_button');
static const Block snow = const Block('minecraft:snow');
static const Block ice = const Block('minecraft:ice');
static const Block snow_block = const Block('minecraft:snow_block');
static const Block cactus = const Block('minecraft:cactus');
static const Block clay = const Block('minecraft:clay');
static const Block sugar_cane = const Block('minecraft:sugar_cane');
static const Block jukebox = const Block('minecraft:jukebox');
static const Block oak_fence = const Block('minecraft:oak_fence');
static const Block pumpkin = const Block('minecraft:pumpkin');
static const Block netherrack = const Block('minecraft:netherrack');
static const Block soul_sand = const Block('minecraft:soul_sand');
static const Block glowstone = const Block('minecraft:glowstone');
static const Block nether_portal = const Block('minecraft:nether_portal');
static const Block carved_pumpkin = const Block('minecraft:carved_pumpkin');
static const Block jack_o_lantern = const Block('minecraft:jack_o_lantern');
static const Block cake = const Block('minecraft:cake');
static const Block repeater = const Block('minecraft:repeater');
static const Block white_stained_glass = const Block('minecraft:white_stained_glass');
static const Block orange_stained_glass = const Block('minecraft:orange_stained_glass');
static const Block magenta_stained_glass = const Block('minecraft:magenta_stained_glass');
static const Block light_blue_stained_glass = const Block('minecraft:light_blue_stained_glass');
static const Block yellow_stained_glass = const Block('minecraft:yellow_stained_glass');
static const Block lime_stained_glass = const Block('minecraft:lime_stained_glass');
static const Block pink_stained_glass = const Block('minecraft:pink_stained_glass');
static const Block gray_stained_glass = const Block('minecraft:gray_stained_glass');
static const Block light_gray_stained_glass = const Block('minecraft:light_gray_stained_glass');
static const Block cyan_stained_glass = const Block('minecraft:cyan_stained_glass');
static const Block purple_stained_glass = const Block('minecraft:purple_stained_glass');
static const Block blue_stained_glass = const Block('minecraft:blue_stained_glass');
static const Block brown_stained_glass = const Block('minecraft:brown_stained_glass');
static const Block green_stained_glass = const Block('minecraft:green_stained_glass');
static const Block red_stained_glass = const Block('minecraft:red_stained_glass');
static const Block black_stained_glass = const Block('minecraft:black_stained_glass');
static const Block oak_trapdoor = const Block('minecraft:oak_trapdoor');
static const Block spruce_trapdoor = const Block('minecraft:spruce_trapdoor');
static const Block birch_trapdoor = const Block('minecraft:birch_trapdoor');
static const Block jungle_trapdoor = const Block('minecraft:jungle_trapdoor');
static const Block acacia_trapdoor = const Block('minecraft:acacia_trapdoor');
static const Block dark_oak_trapdoor = const Block('minecraft:dark_oak_trapdoor');
static const Block stone_bricks = const Block('minecraft:stone_bricks');
static const Block mossy_stone_bricks = const Block('minecraft:mossy_stone_bricks');
static const Block cracked_stone_bricks = const Block('minecraft:cracked_stone_bricks');
static const Block chiseled_stone_bricks = const Block('minecraft:chiseled_stone_bricks');
static const Block infested_stone = const Block('minecraft:infested_stone');
static const Block infested_cobblestone = const Block('minecraft:infested_cobblestone');
static const Block infested_stone_bricks = const Block('minecraft:infested_stone_bricks');
static const Block infested_mossy_stone_bricks = const Block('minecraft:infested_mossy_stone_bricks');
static const Block infested_cracked_stone_bricks = const Block('minecraft:infested_cracked_stone_bricks');
static const Block infested_chiseled_stone_bricks = const Block('minecraft:infested_chiseled_stone_bricks');
static const Block brown_mushroom_block = const Block('minecraft:brown_mushroom_block');
static const Block red_mushroom_block = const Block('minecraft:red_mushroom_block');
static const Block mushroom_stem = const Block('minecraft:mushroom_stem');
static const Block iron_bars = const Block('minecraft:iron_bars');
static const Block glass_pane = const Block('minecraft:glass_pane');
static const Block melon = const Block('minecraft:melon');
static const Block attached_pumpkin_stem = const Block('minecraft:attached_pumpkin_stem');
static const Block attached_melon_stem = const Block('minecraft:attached_melon_stem');
static const Block pumpkin_stem = const Block('minecraft:pumpkin_stem');
static const Block melon_stem = const Block('minecraft:melon_stem');
static const Block vine = const Block('minecraft:vine');
static const Block oak_fence_gate = const Block('minecraft:oak_fence_gate');
static const Block brick_stairs = const Block('minecraft:brick_stairs');
static const Block stone_brick_stairs = const Block('minecraft:stone_brick_stairs');
static const Block mycelium = const Block('minecraft:mycelium');
static const Block lily_pad = const Block('minecraft:lily_pad');
static const Block nether_bricks = const Block('minecraft:nether_bricks');
static const Block nether_brick_fence = const Block('minecraft:nether_brick_fence');
static const Block nether_brick_stairs = const Block('minecraft:nether_brick_stairs');
static const Block nether_wart = const Block('minecraft:nether_wart');
static const Block enchanting_table = const Block('minecraft:enchanting_table');
static const Block brewing_stand = const Block('minecraft:brewing_stand');
static const Block cauldron = const Block('minecraft:cauldron');
static const Block end_portal = const Block('minecraft:end_portal');
static const Block end_portal_frame = const Block('minecraft:end_portal_frame');
static const Block end_stone = const Block('minecraft:end_stone');
static const Block dragon_egg = const Block('minecraft:dragon_egg');
static const Block redstone_lamp = const Block('minecraft:redstone_lamp');
static const Block cocoa = const Block('minecraft:cocoa');
static const Block sandstone_stairs = const Block('minecraft:sandstone_stairs');
static const Block emerald_ore = const Block('minecraft:emerald_ore');
static const Block ender_chest = const Block('minecraft:ender_chest');
static const Block tripwire_hook = const Block('minecraft:tripwire_hook');
static const Block tripwire = const Block('minecraft:tripwire');
static const Block emerald_block = const Block('minecraft:emerald_block');
static const Block spruce_stairs = const Block('minecraft:spruce_stairs');
static const Block birch_stairs = const Block('minecraft:birch_stairs');
static const Block jungle_stairs = const Block('minecraft:jungle_stairs');
static const Block command_block = const Block('minecraft:command_block');
static const Block beacon = const Block('minecraft:beacon');
static const Block cobblestone_wall = const Block('minecraft:cobblestone_wall');
static const Block mossy_cobblestone_wall = const Block('minecraft:mossy_cobblestone_wall');
static const Block flower_pot = const Block('minecraft:flower_pot');
static const Block potted_oak_sapling = const Block('minecraft:potted_oak_sapling');
static const Block potted_spruce_sapling = const Block('minecraft:potted_spruce_sapling');
static const Block potted_birch_sapling = const Block('minecraft:potted_birch_sapling');
static const Block potted_jungle_sapling = const Block('minecraft:potted_jungle_sapling');
static const Block potted_acacia_sapling = const Block('minecraft:potted_acacia_sapling');
static const Block potted_dark_oak_sapling = const Block('minecraft:potted_dark_oak_sapling');
static const Block potted_fern = const Block('minecraft:potted_fern');
static const Block potted_dandelion = const Block('minecraft:potted_dandelion');
static const Block potted_poppy = const Block('minecraft:potted_poppy');
static const Block potted_blue_orchid = const Block('minecraft:potted_blue_orchid');
static const Block potted_allium = const Block('minecraft:potted_allium');
static const Block potted_azure_bluet = const Block('minecraft:potted_azure_bluet');
static const Block potted_red_tulip = const Block('minecraft:potted_red_tulip');
static const Block potted_orange_tulip = const Block('minecraft:potted_orange_tulip');
static const Block potted_white_tulip = const Block('minecraft:potted_white_tulip');
static const Block potted_pink_tulip = const Block('minecraft:potted_pink_tulip');
static const Block potted_oxeye_daisy = const Block('minecraft:potted_oxeye_daisy');
static const Block potted_cornflower = const Block('minecraft:potted_cornflower');
static const Block potted_lily_of_the_valley = const Block('minecraft:potted_lily_of_the_valley');
static const Block potted_wither_rose = const Block('minecraft:potted_wither_rose');
static const Block potted_red_mushroom = const Block('minecraft:potted_red_mushroom');
static const Block potted_brown_mushroom = const Block('minecraft:potted_brown_mushroom');
static const Block potted_dead_bush = const Block('minecraft:potted_dead_bush');
static const Block potted_cactus = const Block('minecraft:potted_cactus');
static const Block carrots = const Block('minecraft:carrots');
static const Block potatoes = const Block('minecraft:potatoes');
static const Block oak_button = const Block('minecraft:oak_button');
static const Block spruce_button = const Block('minecraft:spruce_button');
static const Block birch_button = const Block('minecraft:birch_button');
static const Block jungle_button = const Block('minecraft:jungle_button');
static const Block acacia_button = const Block('minecraft:acacia_button');
static const Block dark_oak_button = const Block('minecraft:dark_oak_button');
static const Block skeleton_skull = const Block('minecraft:skeleton_skull');
static const Block skeleton_wall_skull = const Block('minecraft:skeleton_wall_skull');
static const Block wither_skeleton_skull = const Block('minecraft:wither_skeleton_skull');
static const Block wither_skeleton_wall_skull = const Block('minecraft:wither_skeleton_wall_skull');
static const Block zombie_head = const Block('minecraft:zombie_head');
static const Block zombie_wall_head = const Block('minecraft:zombie_wall_head');
static const Block player_head = const Block('minecraft:player_head');
static const Block player_wall_head = const Block('minecraft:player_wall_head');
static const Block creeper_head = const Block('minecraft:creeper_head');
static const Block creeper_wall_head = const Block('minecraft:creeper_wall_head');
static const Block dragon_head = const Block('minecraft:dragon_head');
static const Block dragon_wall_head = const Block('minecraft:dragon_wall_head');
static const Block anvil = const Block('minecraft:anvil');
static const Block chipped_anvil = const Block('minecraft:chipped_anvil');
static const Block damaged_anvil = const Block('minecraft:damaged_anvil');
static const Block trapped_chest = const Block('minecraft:trapped_chest');
static const Block light_weighted_pressure_plate = const Block('minecraft:light_weighted_pressure_plate');
static const Block heavy_weighted_pressure_plate = const Block('minecraft:heavy_weighted_pressure_plate');
static const Block comparator = const Block('minecraft:comparator');
static const Block daylight_detector = const Block('minecraft:daylight_detector');
static const Block redstone_block = const Block('minecraft:redstone_block');
static const Block nether_quartz_ore = const Block('minecraft:nether_quartz_ore');
static const Block hopper = const Block('minecraft:hopper');
static const Block quartz_block = const Block('minecraft:quartz_block');
static const Block chiseled_quartz_block = const Block('minecraft:chiseled_quartz_block');
static const Block quartz_pillar = const Block('minecraft:quartz_pillar');
static const Block quartz_stairs = const Block('minecraft:quartz_stairs');
static const Block activator_rail = const Block('minecraft:activator_rail');
static const Block dropper = const Block('minecraft:dropper');
static const Block white_terracotta = const Block('minecraft:white_terracotta');
static const Block orange_terracotta = const Block('minecraft:orange_terracotta');
static const Block magenta_terracotta = const Block('minecraft:magenta_terracotta');
static const Block light_blue_terracotta = const Block('minecraft:light_blue_terracotta');
static const Block yellow_terracotta = const Block('minecraft:yellow_terracotta');
static const Block lime_terracotta = const Block('minecraft:lime_terracotta');
static const Block pink_terracotta = const Block('minecraft:pink_terracotta');
static const Block gray_terracotta = const Block('minecraft:gray_terracotta');
static const Block light_gray_terracotta = const Block('minecraft:light_gray_terracotta');
static const Block cyan_terracotta = const Block('minecraft:cyan_terracotta');
static const Block purple_terracotta = const Block('minecraft:purple_terracotta');
static const Block blue_terracotta = const Block('minecraft:blue_terracotta');
static const Block brown_terracotta = const Block('minecraft:brown_terracotta');
static const Block green_terracotta = const Block('minecraft:green_terracotta');
static const Block red_terracotta = const Block('minecraft:red_terracotta');
static const Block black_terracotta = const Block('minecraft:black_terracotta');
static const Block white_stained_glass_pane = const Block('minecraft:white_stained_glass_pane');
static const Block orange_stained_glass_pane = const Block('minecraft:orange_stained_glass_pane');
static const Block magenta_stained_glass_pane = const Block('minecraft:magenta_stained_glass_pane');
static const Block light_blue_stained_glass_pane = const Block('minecraft:light_blue_stained_glass_pane');
static const Block yellow_stained_glass_pane = const Block('minecraft:yellow_stained_glass_pane');
static const Block lime_stained_glass_pane = const Block('minecraft:lime_stained_glass_pane');
static const Block pink_stained_glass_pane = const Block('minecraft:pink_stained_glass_pane');
static const Block gray_stained_glass_pane = const Block('minecraft:gray_stained_glass_pane');
static const Block light_gray_stained_glass_pane = const Block('minecraft:light_gray_stained_glass_pane');
static const Block cyan_stained_glass_pane = const Block('minecraft:cyan_stained_glass_pane');
static const Block purple_stained_glass_pane = const Block('minecraft:purple_stained_glass_pane');
static const Block blue_stained_glass_pane = const Block('minecraft:blue_stained_glass_pane');
static const Block brown_stained_glass_pane = const Block('minecraft:brown_stained_glass_pane');
static const Block green_stained_glass_pane = const Block('minecraft:green_stained_glass_pane');
static const Block red_stained_glass_pane = const Block('minecraft:red_stained_glass_pane');
static const Block black_stained_glass_pane = const Block('minecraft:black_stained_glass_pane');
static const Block acacia_stairs = const Block('minecraft:acacia_stairs');
static const Block dark_oak_stairs = const Block('minecraft:dark_oak_stairs');
static const Block slime_block = const Block('minecraft:slime_block');
static const Block barrier = const Block('minecraft:barrier');
static const Block iron_trapdoor = const Block('minecraft:iron_trapdoor');
static const Block prismarine = const Block('minecraft:prismarine');
static const Block prismarine_bricks = const Block('minecraft:prismarine_bricks');
static const Block dark_prismarine = const Block('minecraft:dark_prismarine');
static const Block prismarine_stairs = const Block('minecraft:prismarine_stairs');
static const Block prismarine_brick_stairs = const Block('minecraft:prismarine_brick_stairs');
static const Block dark_prismarine_stairs = const Block('minecraft:dark_prismarine_stairs');
static const Block prismarine_slab = const Block('minecraft:prismarine_slab');
static const Block prismarine_brick_slab = const Block('minecraft:prismarine_brick_slab');
static const Block dark_prismarine_slab = const Block('minecraft:dark_prismarine_slab');
static const Block sea_lantern = const Block('minecraft:sea_lantern');
static const Block hay_block = const Block('minecraft:hay_block');
static const Block white_carpet = const Block('minecraft:white_carpet');
static const Block orange_carpet = const Block('minecraft:orange_carpet');
static const Block magenta_carpet = const Block('minecraft:magenta_carpet');
static const Block light_blue_carpet = const Block('minecraft:light_blue_carpet');
static const Block yellow_carpet = const Block('minecraft:yellow_carpet');
static const Block lime_carpet = const Block('minecraft:lime_carpet');
static const Block pink_carpet = const Block('minecraft:pink_carpet');
static const Block gray_carpet = const Block('minecraft:gray_carpet');
static const Block light_gray_carpet = const Block('minecraft:light_gray_carpet');
static const Block cyan_carpet = const Block('minecraft:cyan_carpet');
static const Block purple_carpet = const Block('minecraft:purple_carpet');
static const Block blue_carpet = const Block('minecraft:blue_carpet');
static const Block brown_carpet = const Block('minecraft:brown_carpet');
static const Block green_carpet = const Block('minecraft:green_carpet');
static const Block red_carpet = const Block('minecraft:red_carpet');
static const Block black_carpet = const Block('minecraft:black_carpet');
static const Block terracotta = const Block('minecraft:terracotta');
static const Block coal_block = const Block('minecraft:coal_block');
static const Block packed_ice = const Block('minecraft:packed_ice');
static const Block sunflower = const Block('minecraft:sunflower');
static const Block lilac = const Block('minecraft:lilac');
static const Block rose_bush = const Block('minecraft:rose_bush');
static const Block peony = const Block('minecraft:peony');
static const Block tall_grass = const Block('minecraft:tall_grass');
static const Block large_fern = const Block('minecraft:large_fern');
static const Block white_banner = const Block('minecraft:white_banner');
static const Block orange_banner = const Block('minecraft:orange_banner');
static const Block magenta_banner = const Block('minecraft:magenta_banner');
static const Block light_blue_banner = const Block('minecraft:light_blue_banner');
static const Block yellow_banner = const Block('minecraft:yellow_banner');
static const Block lime_banner = const Block('minecraft:lime_banner');
static const Block pink_banner = const Block('minecraft:pink_banner');
static const Block gray_banner = const Block('minecraft:gray_banner');
static const Block light_gray_banner = const Block('minecraft:light_gray_banner');
static const Block cyan_banner = const Block('minecraft:cyan_banner');
static const Block purple_banner = const Block('minecraft:purple_banner');
static const Block blue_banner = const Block('minecraft:blue_banner');
static const Block brown_banner = const Block('minecraft:brown_banner');
static const Block green_banner = const Block('minecraft:green_banner');
static const Block red_banner = const Block('minecraft:red_banner');
static const Block black_banner = const Block('minecraft:black_banner');
static const Block white_wall_banner = const Block('minecraft:white_wall_banner');
static const Block orange_wall_banner = const Block('minecraft:orange_wall_banner');
static const Block magenta_wall_banner = const Block('minecraft:magenta_wall_banner');
static const Block light_blue_wall_banner = const Block('minecraft:light_blue_wall_banner');
static const Block yellow_wall_banner = const Block('minecraft:yellow_wall_banner');
static const Block lime_wall_banner = const Block('minecraft:lime_wall_banner');
static const Block pink_wall_banner = const Block('minecraft:pink_wall_banner');
static const Block gray_wall_banner = const Block('minecraft:gray_wall_banner');
static const Block light_gray_wall_banner = const Block('minecraft:light_gray_wall_banner');
static const Block cyan_wall_banner = const Block('minecraft:cyan_wall_banner');
static const Block purple_wall_banner = const Block('minecraft:purple_wall_banner');
static const Block blue_wall_banner = const Block('minecraft:blue_wall_banner');
static const Block brown_wall_banner = const Block('minecraft:brown_wall_banner');
static const Block green_wall_banner = const Block('minecraft:green_wall_banner');
static const Block red_wall_banner = const Block('minecraft:red_wall_banner');
static const Block black_wall_banner = const Block('minecraft:black_wall_banner');
static const Block red_sandstone = const Block('minecraft:red_sandstone');
static const Block chiseled_red_sandstone = const Block('minecraft:chiseled_red_sandstone');
static const Block cut_red_sandstone = const Block('minecraft:cut_red_sandstone');
static const Block red_sandstone_stairs = const Block('minecraft:red_sandstone_stairs');
static const Block oak_slab = const Block('minecraft:oak_slab');
static const Block spruce_slab = const Block('minecraft:spruce_slab');
static const Block birch_slab = const Block('minecraft:birch_slab');
static const Block jungle_slab = const Block('minecraft:jungle_slab');
static const Block acacia_slab = const Block('minecraft:acacia_slab');
static const Block dark_oak_slab = const Block('minecraft:dark_oak_slab');
static const Block stone_slab = const Block('minecraft:stone_slab');
static const Block smooth_stone_slab = const Block('minecraft:smooth_stone_slab');
static const Block sandstone_slab = const Block('minecraft:sandstone_slab');
static const Block petrified_oak_slab = const Block('minecraft:petrified_oak_slab');
static const Block cobblestone_slab = const Block('minecraft:cobblestone_slab');
static const Block brick_slab = const Block('minecraft:brick_slab');
static const Block stone_brick_slab = const Block('minecraft:stone_brick_slab');
static const Block nether_brick_slab = const Block('minecraft:nether_brick_slab');
static const Block quartz_slab = const Block('minecraft:quartz_slab');
static const Block red_sandstone_slab = const Block('minecraft:red_sandstone_slab');
static const Block purpur_slab = const Block('minecraft:purpur_slab');
static const Block smooth_stone = const Block('minecraft:smooth_stone');
static const Block smooth_sandstone = const Block('minecraft:smooth_sandstone');
static const Block smooth_quartz = const Block('minecraft:smooth_quartz');
static const Block smooth_red_sandstone = const Block('minecraft:smooth_red_sandstone');
static const Block spruce_fence_gate = const Block('minecraft:spruce_fence_gate');
static const Block birch_fence_gate = const Block('minecraft:birch_fence_gate');
static const Block jungle_fence_gate = const Block('minecraft:jungle_fence_gate');
static const Block acacia_fence_gate = const Block('minecraft:acacia_fence_gate');
static const Block dark_oak_fence_gate = const Block('minecraft:dark_oak_fence_gate');
static const Block spruce_fence = const Block('minecraft:spruce_fence');
static const Block birch_fence = const Block('minecraft:birch_fence');
static const Block jungle_fence = const Block('minecraft:jungle_fence');
static const Block acacia_fence = const Block('minecraft:acacia_fence');
static const Block dark_oak_fence = const Block('minecraft:dark_oak_fence');
static const Block spruce_door = const Block('minecraft:spruce_door');
static const Block birch_door = const Block('minecraft:birch_door');
static const Block jungle_door = const Block('minecraft:jungle_door');
static const Block acacia_door = const Block('minecraft:acacia_door');
static const Block dark_oak_door = const Block('minecraft:dark_oak_door');
static const Block end_rod = const Block('minecraft:end_rod');
static const Block chorus_plant = const Block('minecraft:chorus_plant');
static const Block chorus_flower = const Block('minecraft:chorus_flower');
static const Block purpur_block = const Block('minecraft:purpur_block');
static const Block purpur_pillar = const Block('minecraft:purpur_pillar');
static const Block purpur_stairs = const Block('minecraft:purpur_stairs');
static const Block end_stone_bricks = const Block('minecraft:end_stone_bricks');
static const Block beetroots = const Block('minecraft:beetroots');
static const Block grass_path = const Block('minecraft:grass_path');
static const Block end_gateway = const Block('minecraft:end_gateway');
static const Block repeating_command_block = const Block('minecraft:repeating_command_block');
static const Block chain_command_block = const Block('minecraft:chain_command_block');
static const Block frosted_ice = const Block('minecraft:frosted_ice');
static const Block magma_block = const Block('minecraft:magma_block');
static const Block nether_wart_block = const Block('minecraft:nether_wart_block');
static const Block red_nether_bricks = const Block('minecraft:red_nether_bricks');
static const Block bone_block = const Block('minecraft:bone_block');
static const Block structure_void = const Block('minecraft:structure_void');
static const Block observer = const Block('minecraft:observer');
static const Block shulker_box = const Block('minecraft:shulker_box');
static const Block white_shulker_box = const Block('minecraft:white_shulker_box');
static const Block orange_shulker_box = const Block('minecraft:orange_shulker_box');
static const Block magenta_shulker_box = const Block('minecraft:magenta_shulker_box');
static const Block light_blue_shulker_box = const Block('minecraft:light_blue_shulker_box');
static const Block yellow_shulker_box = const Block('minecraft:yellow_shulker_box');
static const Block lime_shulker_box = const Block('minecraft:lime_shulker_box');
static const Block pink_shulker_box = const Block('minecraft:pink_shulker_box');
static const Block gray_shulker_box = const Block('minecraft:gray_shulker_box');
static const Block light_gray_shulker_box = const Block('minecraft:light_gray_shulker_box');
static const Block cyan_shulker_box = const Block('minecraft:cyan_shulker_box');
static const Block purple_shulker_box = const Block('minecraft:purple_shulker_box');
static const Block blue_shulker_box = const Block('minecraft:blue_shulker_box');
static const Block brown_shulker_box = const Block('minecraft:brown_shulker_box');
static const Block green_shulker_box = const Block('minecraft:green_shulker_box');
static const Block red_shulker_box = const Block('minecraft:red_shulker_box');
static const Block black_shulker_box = const Block('minecraft:black_shulker_box');
static const Block white_glazed_terracotta = const Block('minecraft:white_glazed_terracotta');
static const Block orange_glazed_terracotta = const Block('minecraft:orange_glazed_terracotta');
static const Block magenta_glazed_terracotta = const Block('minecraft:magenta_glazed_terracotta');
static const Block light_blue_glazed_terracotta = const Block('minecraft:light_blue_glazed_terracotta');
static const Block yellow_glazed_terracotta = const Block('minecraft:yellow_glazed_terracotta');
static const Block lime_glazed_terracotta = const Block('minecraft:lime_glazed_terracotta');
static const Block pink_glazed_terracotta = const Block('minecraft:pink_glazed_terracotta');
static const Block gray_glazed_terracotta = const Block('minecraft:gray_glazed_terracotta');
static const Block light_gray_glazed_terracotta = const Block('minecraft:light_gray_glazed_terracotta');
static const Block cyan_glazed_terracotta = const Block('minecraft:cyan_glazed_terracotta');
static const Block purple_glazed_terracotta = const Block('minecraft:purple_glazed_terracotta');
static const Block blue_glazed_terracotta = const Block('minecraft:blue_glazed_terracotta');
static const Block brown_glazed_terracotta = const Block('minecraft:brown_glazed_terracotta');
static const Block green_glazed_terracotta = const Block('minecraft:green_glazed_terracotta');
static const Block red_glazed_terracotta = const Block('minecraft:red_glazed_terracotta');
static const Block black_glazed_terracotta = const Block('minecraft:black_glazed_terracotta');
static const Block white_concrete = const Block('minecraft:white_concrete');
static const Block orange_concrete = const Block('minecraft:orange_concrete');
static const Block magenta_concrete = const Block('minecraft:magenta_concrete');
static const Block light_blue_concrete = const Block('minecraft:light_blue_concrete');
static const Block yellow_concrete = const Block('minecraft:yellow_concrete');
static const Block lime_concrete = const Block('minecraft:lime_concrete');
static const Block pink_concrete = const Block('minecraft:pink_concrete');
static const Block gray_concrete = const Block('minecraft:gray_concrete');
static const Block light_gray_concrete = const Block('minecraft:light_gray_concrete');
static const Block cyan_concrete = const Block('minecraft:cyan_concrete');
static const Block purple_concrete = const Block('minecraft:purple_concrete');
static const Block blue_concrete = const Block('minecraft:blue_concrete');
static const Block brown_concrete = const Block('minecraft:brown_concrete');
static const Block green_concrete = const Block('minecraft:green_concrete');
static const Block red_concrete = const Block('minecraft:red_concrete');
static const Block black_concrete = const Block('minecraft:black_concrete');
static const Block white_concrete_powder = const Block('minecraft:white_concrete_powder');
static const Block orange_concrete_powder = const Block('minecraft:orange_concrete_powder');
static const Block magenta_concrete_powder = const Block('minecraft:magenta_concrete_powder');
static const Block light_blue_concrete_powder = const Block('minecraft:light_blue_concrete_powder');
static const Block yellow_concrete_powder = const Block('minecraft:yellow_concrete_powder');
static const Block lime_concrete_powder = const Block('minecraft:lime_concrete_powder');
static const Block pink_concrete_powder = const Block('minecraft:pink_concrete_powder');
static const Block gray_concrete_powder = const Block('minecraft:gray_concrete_powder');
static const Block light_gray_concrete_powder = const Block('minecraft:light_gray_concrete_powder');
static const Block cyan_concrete_powder = const Block('minecraft:cyan_concrete_powder');
static const Block purple_concrete_powder = const Block('minecraft:purple_concrete_powder');
static const Block blue_concrete_powder = const Block('minecraft:blue_concrete_powder');
static const Block brown_concrete_powder = const Block('minecraft:brown_concrete_powder');
static const Block green_concrete_powder = const Block('minecraft:green_concrete_powder');
static const Block red_concrete_powder = const Block('minecraft:red_concrete_powder');
static const Block black_concrete_powder = const Block('minecraft:black_concrete_powder');
static const Block kelp = const Block('minecraft:kelp');
static const Block kelp_plant = const Block('minecraft:kelp_plant');
static const Block dried_kelp_block = const Block('minecraft:dried_kelp_block');
static const Block turtle_egg = const Block('minecraft:turtle_egg');
static const Block dead_tube_coral_block = const Block('minecraft:dead_tube_coral_block');
static const Block dead_brain_coral_block = const Block('minecraft:dead_brain_coral_block');
static const Block dead_bubble_coral_block = const Block('minecraft:dead_bubble_coral_block');
static const Block dead_fire_coral_block = const Block('minecraft:dead_fire_coral_block');
static const Block dead_horn_coral_block = const Block('minecraft:dead_horn_coral_block');
static const Block tube_coral_block = const Block('minecraft:tube_coral_block');
static const Block brain_coral_block = const Block('minecraft:brain_coral_block');
static const Block bubble_coral_block = const Block('minecraft:bubble_coral_block');
static const Block fire_coral_block = const Block('minecraft:fire_coral_block');
static const Block horn_coral_block = const Block('minecraft:horn_coral_block');
static const Block dead_tube_coral = const Block('minecraft:dead_tube_coral');
static const Block dead_brain_coral = const Block('minecraft:dead_brain_coral');
static const Block dead_bubble_coral = const Block('minecraft:dead_bubble_coral');
static const Block dead_fire_coral = const Block('minecraft:dead_fire_coral');
static const Block dead_horn_coral = const Block('minecraft:dead_horn_coral');
static const Block tube_coral = const Block('minecraft:tube_coral');
static const Block brain_coral = const Block('minecraft:brain_coral');
static const Block bubble_coral = const Block('minecraft:bubble_coral');
static const Block fire_coral = const Block('minecraft:fire_coral');
static const Block horn_coral = const Block('minecraft:horn_coral');
static const Block dead_tube_coral_fan = const Block('minecraft:dead_tube_coral_fan');
static const Block dead_brain_coral_fan = const Block('minecraft:dead_brain_coral_fan');
static const Block dead_bubble_coral_fan = const Block('minecraft:dead_bubble_coral_fan');
static const Block dead_fire_coral_fan = const Block('minecraft:dead_fire_coral_fan');
static const Block dead_horn_coral_fan = const Block('minecraft:dead_horn_coral_fan');
static const Block tube_coral_fan = const Block('minecraft:tube_coral_fan');
static const Block brain_coral_fan = const Block('minecraft:brain_coral_fan');
static const Block bubble_coral_fan = const Block('minecraft:bubble_coral_fan');
static const Block fire_coral_fan = const Block('minecraft:fire_coral_fan');
static const Block horn_coral_fan = const Block('minecraft:horn_coral_fan');
static const Block dead_tube_coral_wall_fan = const Block('minecraft:dead_tube_coral_wall_fan');
static const Block dead_brain_coral_wall_fan = const Block('minecraft:dead_brain_coral_wall_fan');
static const Block dead_bubble_coral_wall_fan = const Block('minecraft:dead_bubble_coral_wall_fan');
static const Block dead_fire_coral_wall_fan = const Block('minecraft:dead_fire_coral_wall_fan');
static const Block dead_horn_coral_wall_fan = const Block('minecraft:dead_horn_coral_wall_fan');
static const Block tube_coral_wall_fan = const Block('minecraft:tube_coral_wall_fan');
static const Block brain_coral_wall_fan = const Block('minecraft:brain_coral_wall_fan');
static const Block bubble_coral_wall_fan = const Block('minecraft:bubble_coral_wall_fan');
static const Block fire_coral_wall_fan = const Block('minecraft:fire_coral_wall_fan');
static const Block horn_coral_wall_fan = const Block('minecraft:horn_coral_wall_fan');
static const Block sea_pickle = const Block('minecraft:sea_pickle');
static const Block blue_ice = const Block('minecraft:blue_ice');
static const Block conduit = const Block('minecraft:conduit');
static const Block bamboo_sapling = const Block('minecraft:bamboo_sapling');
static const Block bamboo = const Block('minecraft:bamboo');
static const Block potted_bamboo = const Block('minecraft:potted_bamboo');
static const Block void_air = const Block('minecraft:void_air');
static const Block cave_air = const Block('minecraft:cave_air');
static const Block bubble_column = const Block('minecraft:bubble_column');
static const Block polished_granite_stairs = const Block('minecraft:polished_granite_stairs');
static const Block smooth_red_sandstone_stairs = const Block('minecraft:smooth_red_sandstone_stairs');
static const Block mossy_stone_brick_stairs = const Block('minecraft:mossy_stone_brick_stairs');
static const Block polished_diorite_stairs = const Block('minecraft:polished_diorite_stairs');
static const Block mossy_cobblestone_stairs = const Block('minecraft:mossy_cobblestone_stairs');
static const Block end_stone_brick_stairs = const Block('minecraft:end_stone_brick_stairs');
static const Block stone_stairs = const Block('minecraft:stone_stairs');
static const Block smooth_sandstone_stairs = const Block('minecraft:smooth_sandstone_stairs');
static const Block smooth_quartz_stairs = const Block('minecraft:smooth_quartz_stairs');
static const Block granite_stairs = const Block('minecraft:granite_stairs');
static const Block andesite_stairs = const Block('minecraft:andesite_stairs');
static const Block red_nether_brick_stairs = const Block('minecraft:red_nether_brick_stairs');
static const Block polished_andesite_stairs = const Block('minecraft:polished_andesite_stairs');
static const Block diorite_stairs = const Block('minecraft:diorite_stairs');
static const Block polished_granite_slab = const Block('minecraft:polished_granite_slab');
static const Block smooth_red_sandstone_slab = const Block('minecraft:smooth_red_sandstone_slab');
static const Block mossy_stone_brick_slab = const Block('minecraft:mossy_stone_brick_slab');
static const Block polished_diorite_slab = const Block('minecraft:polished_diorite_slab');
static const Block mossy_cobblestone_slab = const Block('minecraft:mossy_cobblestone_slab');
static const Block end_stone_brick_slab = const Block('minecraft:end_stone_brick_slab');
static const Block smooth_sandstone_slab = const Block('minecraft:smooth_sandstone_slab');
static const Block smooth_quartz_slab = const Block('minecraft:smooth_quartz_slab');
static const Block granite_slab = const Block('minecraft:granite_slab');
static const Block andesite_slab = const Block('minecraft:andesite_slab');
static const Block red_nether_brick_slab = const Block('minecraft:red_nether_brick_slab');
static const Block polished_andesite_slab = const Block('minecraft:polished_andesite_slab');
static const Block diorite_slab = const Block('minecraft:diorite_slab');
static const Block brick_wall = const Block('minecraft:brick_wall');
static const Block prismarine_wall = const Block('minecraft:prismarine_wall');
static const Block red_sandstone_wall = const Block('minecraft:red_sandstone_wall');
static const Block mossy_stone_brick_wall = const Block('minecraft:mossy_stone_brick_wall');
static const Block granite_wall = const Block('minecraft:granite_wall');
static const Block stone_brick_wall = const Block('minecraft:stone_brick_wall');
static const Block nether_brick_wall = const Block('minecraft:nether_brick_wall');
static const Block andesite_wall = const Block('minecraft:andesite_wall');
static const Block red_nether_brick_wall = const Block('minecraft:red_nether_brick_wall');
static const Block sandstone_wall = const Block('minecraft:sandstone_wall');
static const Block end_stone_brick_wall = const Block('minecraft:end_stone_brick_wall');
static const Block diorite_wall = const Block('minecraft:diorite_wall');
static const Block scaffolding = const Block('minecraft:scaffolding');
static const Block loom = const Block('minecraft:loom');
static const Block barrel = const Block('minecraft:barrel');
static const Block smoker = const Block('minecraft:smoker');
static const Block blast_furnace = const Block('minecraft:blast_furnace');
static const Block cartography_table = const Block('minecraft:cartography_table');
static const Block fletching_table = const Block('minecraft:fletching_table');
static const Block grindstone = const Block('minecraft:grindstone');
static const Block lectern = const Block('minecraft:lectern');
static const Block smithing_table = const Block('minecraft:smithing_table');
static const Block stonecutter = const Block('minecraft:stonecutter');
static const Block bell = const Block('minecraft:bell');
static const Block lantern = const Block('minecraft:lantern');
static const Block campfire = const Block('minecraft:campfire');
static const Block sweet_berry_bush = const Block('minecraft:sweet_berry_bush');
static const Block structure_block = const Block('minecraft:structure_block');
static const Block jigsaw = const Block('minecraft:jigsaw');
static const Block composter = const Block('minecraft:composter');
static const Block kelp_top = const Block('minecraft:kelp_top');

static const Block oak_bark = const Block('minecraft:oak_bark');
static const Block spruce_bark = const Block('minecraft:spruce_bark');
static const Block birch_bark = const Block('minecraft:birch_bark');
static const Block jungle_bark = const Block('minecraft:jungle_bark');
static const Block acacia_bark = const Block('minecraft:acacia_bark');
static const Block dark_oak_bark = const Block('minecraft:dark_oak_bark');

static const Block sea_grass = const Block('minecraft:sea_grass');
static const Block prismarine_bricks_slab = const Block('minecraft:prismarine_bricks_slab');
static const Block mob_spawner = const Block('minecraft:mob_spawner');
static const Block melon_block = const Block('minecraft:melon_block');
}